Subject: [mobile-ip] Re: [seamoby] RE: [rohc] RE: Restarting Compressor on Mobile IPv6 Handover

From: "Phil Neumiller" <[email-masked]>
Date: Fri, 6 Apr 2001 16:42:07 -0500

OK, now I am really confused.  Typically (in my previous experience)
with some very large cariers like Sprint, Verizon, etc, Hard handoffs
were about 5-10% of ALL handoffs.

Why is there no interest/concern about the soft case WHICH HAS
NOT YET BEEN RESOLVED (i.e. the other 90%)??????????

Regards,

Phil

---

From: "Phil Neumiller" <[email-masked]>
Date: Fri, 6 Apr 2001 16:44:30 -0500

The problem is this is crossposted across MIP, SeaMoby, and ROCH.  Drop
the crossposting its confusing the issues.  I missed the hard handoff specific
context, but I was just reading SeaMoby and did not see that part.

-Phil

---

From: "Phil Neumiller" <[email-masked]>
Date: Fri, 6 Apr 2001 20:43:43 -0500

Jim, and (really long threaders)

These are clearly excellent details  James, but I would be willing to bet $2.00
that none of what you state below is in an I-D of any sort, and this has probably
lead to an incredible amount of confusion and wasted bandwidth on the MIP
list.

I have not kept up with these standards as you know, I was familiar with them
at one time.  I made some additional comments below on your 3GPP update
which I really appreciated.

----- Original Message -----
From: "James Kempf" <[email-masked]>
To: "Phil Neumiller" <[email-masked]>; <[email-masked]>; <[email-masked]>; <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>
Sent: Friday, April 06, 2001 8:28 PM
Subject: Re: [seamoby] RE: [rohc] RE: Restarting Compressor on Mobile IPv6 Handover

> Phil,
>
> I think this discussion may be a case of misunderstanding about what is
> done where.
>
> Header compression seems of most value on what in 3GPP speak is called
> the nonaccess stratum. This is the packets that applications at the top of
> the mobile's stack sees, and these are the bits that go out over the air.
> These packets never see soft handoff, because they are segmented into
> radio frames by the time soft handoff occurs. The compression must
> be done before the packets are stuffed into radio frames.
>
OK this is the mobile side and I believe we were talking about the BTS/AR
side in this thread.

> In the so-called  access stratum, header compression may be used to
> remove header overhead on slow links so that the real time requirements
> of CDMA radio access can be met. There isn't an issue with moving context
> because the SDU is at a centrallly located point so when a soft handoff
> leg needs to be added, the SDU can take care of it. The only time
> there may be an issue is when the SDU itself gets relocated (called
> SRNS relocation in 3GPP speak). This is a fairly rare event, but
> would need to be handled in an IP RAN design.

Oh, I see, very interesting.  The difference here with OBAST is that the
so called SRNS is a bit more frequent since the "virtual" SDU is following
the mobile throgh the "sea" of moby (I mean BTSs).

I guess that even between what 3GPP dis and what OBAST did the original
thread was still bogus, and that was my point.  Seems that the arguments
were being based strictly on hard HO and no description of the soft case.

One question is the SRNS operation "soft" in the 3GPP design (because it
was in OBAST of course!).

Thanks,

Phil

---

From: [email-masked]
Date: Fri, 6 Apr 2001 16:29:13 -0500

Hi,

Please see my comments below.

Khiem

> -----Original Message-----
> From: ext Phil Neumiller [mailto:[email-masked]]
> Sent: Friday, April 06, 2001 4:03 PM
> To: [email-masked]; [email-masked]; [email-masked]
> Cc: [email-masked]; [email-masked];
> [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked]
> This arguments seems completely bogus to me or I am missing something
> really fundamental here.  Are not both 3GPP and 3GPP2 CDMA?  This
> whole discussion falls apart and dies on the floor than.

KL: I would appreciate it if you could give specific arguments rather than
qualifying other people's arguments as "bogus". It is easy to do that, and I
can do that too, if I wanted to. Yes, you are missing something fundamental.
All this discussion is about HARD Handoff, not soft handoff. Hard handoff
exists in both CDMA and TDMA. Your issue with TDMA/CDMA is irrelevant.
Evidently you have not read (http://www.cdt.luth.se/robhc/msg01274.html)
referenced in one of my earlier mails. In that material, I clearly stated
the problem is hard HO, not soft HO. If you could at least read and try to
understand before commenting, we can have a more productive discussion.

> From: <[email-masked]>
> 
> 
> > There have been many mails pointing out the merit of doing header
> > compression context transfer. To repeat them:
> > continued, seamless compression/decompression, higher compression
> > efficiency, and minimization of degradation on the user 
> media. This last
> > point is the most important in my mind. At this stage, the 
> link technologies
> > where header compression is going to be used are primarily 
> cellular links.
> 
> 1).  Based on what evidence?  So far we have WAP, iMode, and iDen.

KL: What do WAP, iMODE and iDEN have to do with RTP header compression?

> Are you ignoring other possible edge and infrastructure 
> technologies like
> wirelesss PANs, WLANs, ad hoc networks for any particular reason?

KL: I am not ignoring them. I am just saying that the 3GPP and 3GPP2
technologies will be the first major cases of ROHC utilization. In fact the
ROHC work was driven by the 3GPP needs.

> 
> > In the cellular environment, handoffs (or handovers) are 
> events that happen
> > in normal operation, and therefore a very significant 
> design effort is spent
> > to minimize the impact of HO on performance. In particular, 
> one wants to
> > minimize the duration of the break.
> 
> In post-modern cellular systems there is no break!  Wake up!  Qualcomm
> won the war a long time ago, I just can't get it why you guys 
> are still in
> this "break" mind set.  3GPP and 3GPP2 use CDMA!!!!  ITS MAKE BEFORE
> BREAK.  THE SOONER PEOPLE START LEARNING HOW TO DEAL
> WITH IP PACKETS OVER CDMA w/ soft handover THE SOONER the
> MIP list will finally mature to where it needs to be (i.e. 
> like OBAST :-)!!!

KL: Hard handoff has a break, whether in CDMA or TDMA. Wakeup!
> 
> > if brute force header compression reinitialization is done, 
> one would have to send
> > certain number of 40-60
> > byte or more IR headers, instead of the usual 1 byte 
> header. This big
> > bandwidth demand surge will put a strain on the link.
> 
> Please quantify this purported bandwidth demand surge and it 
> origination.

KL: Please refer to the ROHC specs for the size of the IR headers vs, the
minimal size compressed header.

> 
> > Some links will cope
> > with it by blanking out the user data to make room to carry 
> the IR headers.
> > When such blanking takes place, the user media (voice, etc.) will be
> > unavoidably affected.
> 
> Yes but why would we use MIPv6 over TDMA systems?  I just don't get
> this argument at all????

KL: There may be a confusion here. The issue of MIPv6 is orthogonal to the
issue "what is the impact/benefits/costs of doing vs not doing header
compression?" There are cases where ROHC header compression is used and
header compression context transfer is beneficial, and yet there is no MIPv6
involved. Refer to the upcoming 3GPP release.
> 
> >The impairment caused by the handoff is thus extended,
> > compared to the case where header compression is not present.
> 
> What it impairment, its a SOFT handoff?
> 
> >
> > In the current and 3G cellular technologies, the break is 
> about 100-150
> > msec, without header compression.
> 
> The break will be 0 ms in 3G systems (only when a hard 
> handover is forced)
> is that what you are designing for the error leg cases? 

KL: Why is the hard handoff an error leg case? Hard handoff is part of the
normal operation.
 
> Again this argument
> seems rediculously TDMA.
> 
> I feel like Rip Van Winkle, did I wake up and everything went back to
> TDMA?  Why are we discussing this with reference to IPv6 handovers??

KL: I was discussing the issue "what is the impact/benefits/costs of doing
vs not doing header compression?"

---

From: James Kempf <[email-masked]>
Date: Sat, 07 Apr 2001 10:28:59 +0900

Phil,

Or maybe you had something different in mind?

                 jak

---

From: James Kempf <[email-masked]>
Date: Sat, 07 Apr 2001 10:42:42 +0900

Hi Phil,

>was in OBAST of course!).

I think it is but it is not between BTSs (Node B) as I presume it was in OBAST.
It is between RNCs (serving RNC to drift RNC, at which point, drift RNC
becomes serving).

                 jak